package com.scpyun.platform.jilinsscgsdp.bean.entity;

import java.util.Date;

import javax.validation.constraints.NotBlank;

import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Update;

public class JlGridGardenUser extends BaseEntity {
    /**
     * 主键ID
     */
	@NotBlank(message = "主键不能为空",groups = {Update.class})
    private String id;

    /**
     * 姓名
     */
    @NotBlank(message = "姓名不能为空",groups = {Insert.class,Update.class})
    private String name;

    /**
     * 身份证
     */
    @NotBlank(message = "身份证不能为空",groups = {Insert.class,Update.class})
    private String cardno;

    /**
     * 电话
     */
    @NotBlank(message = "电话不能为空",groups = {Insert.class,Update.class})
    private String tel;

    /**
     * 职责
     */
    @NotBlank(message = "网格员职责不能为空",groups = {Insert.class,Update.class})
    private String responsibility;

    /**
     * 备注
     */
    private String remark;

    /**
     * 市id
     */
    private String cityId;

    /**
     * 区id
     */
    private String areaId;

    /**
     * 街道id
     */
    private String streetId;

    /**
     * 社区id
     */
    private String communityId;

    /**
     * 网格id
     */
    @NotBlank(message = "所属网格不能为空",groups = {Insert.class,Update.class})
    private String gardenId;

    /**
     * 所属部门id
     */
    @NotBlank(message = "所属部门不能为空",groups = {Insert.class,Update.class})
    private String companyId;

    /**
     * 职责id
     */
    @NotBlank(message = "网格员职责不能为空",groups = {Insert.class,Update.class})
    private String dutyId;

    /**
     * 是否删除  1删除 0正常
     */
    private String delFlag;

    /**
     * 创建人
     */
    private String createBy;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新人
     */
    private String updateBy;

    /**
     * 更新时间
     */
    private Date updateTime;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name == null ? null : name.trim();
    }

    public String getCardno() {
        return cardno;
    }

    public void setCardno(String cardno) {
        this.cardno = cardno == null ? null : cardno.trim();
    }

    public String getTel() {
        return tel;
    }

    public void setTel(String tel) {
        this.tel = tel;
    }

    public String getResponsibility() {
        return responsibility;
    }

    public void setResponsibility(String responsibility) {
        this.responsibility = responsibility == null ? null : responsibility.trim();
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    public String getCityId() {
        return cityId;
    }

    public void setCityId(String cityId) {
        this.cityId = cityId == null ? null : cityId.trim();
    }

    public String getAreaId() {
        return areaId;
    }

    public void setAreaId(String areaId) {
        this.areaId = areaId == null ? null : areaId.trim();
    }

    public String getStreetId() {
        return streetId;
    }

    public void setStreetId(String streetId) {
        this.streetId = streetId == null ? null : streetId.trim();
    }

    public String getCommunityId() {
        return communityId;
    }

    public void setCommunityId(String communityId) {
        this.communityId = communityId == null ? null : communityId.trim();
    }

    public String getGardenId() {
        return gardenId;
    }

    public void setGardenId(String gardenId) {
        this.gardenId = gardenId == null ? null : gardenId.trim();
    }

    public String getCompanyId() {
        return companyId;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId == null ? null : companyId.trim();
    }

    public String getDutyId() {
        return dutyId;
    }

    public void setDutyId(String dutyId) {
        this.dutyId = dutyId == null ? null : dutyId.trim();
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag == null ? null : delFlag.trim();
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy == null ? null : createBy.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy == null ? null : updateBy.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}